# cTopology::LinkIn Class Reference

`#include <ctopo.h>`

Inheritance diagram for cTopology::LinkIn:

List of all members.

## Detailed Description

Supporting class for cTopology.

While navigating the graph stored in a cTopology, Node's methods return LinkIn and LinkOut objects, which are 'aliases' to Link objects. LinkIn and LinkOut provide convenience functions that return the 'local' and 'remote' end of the connection when traversing the topology.

## Public Member Functions

Node * | remoteNode () const
int | remoteGateId () const
int | localGateId () const
cGate * | remoteGate () const
cGate * | localGate () const

## Member Function Documentation

cGate* cTopology::LinkIn::localGate | ( |  | ) | const`[inline]`

| Returns the gate at the local end of this connection.

int cTopology::LinkIn::localGateId | ( |  | ) | const`[inline]`

| Returns the gate ID at the local end of this connection.

cGate* cTopology::LinkIn::remoteGate | ( |  | ) | const`[inline]`

| Returns the gate at the remote end of this connection.

int cTopology::LinkIn::remoteGateId | ( |  | ) | const`[inline]`

| Returns the gate ID at the remote end of this connection.

Node* cTopology::LinkIn::remoteNode | ( |  | ) | const`[inline]`

| Returns the node at the remote end of this connection. Note: There's no corresponding localNode() method: the local node of this connection is the Node object whose method returned this LinkIn object.

The documentation for this class was generated from the following file:

- ctopo.h